DaemonForums  

Go Back   DaemonForums > FreeBSD > FreeBSD Ports and Packages

FreeBSD Ports and Packages Installation and upgrading of ports and packages on FreeBSD.

 
 
Thread Tools Display Modes
Prev Previous Post   Next Post Next
  #1   (View Single Post)  
Old 9th June 2008
jedispy jedispy is offline
New User
 
Join Date: Jun 2008
Posts: 3
Thanked 0 Times in 0 Posts
Default Need to update my FreeBSD...help

My system specs:
  • FreeBSD: 4.8
  • PHP: 4.4.2
  • Apache: 1.3
  • MySQL: 3.23.55
  • CPU: P2 300mhz
  • HDD: 300GB
  • Host: Me. This is a hobby server hosted in my home
Plain and simple I'm GROSSLY outdated on things. I built this server back in 2006, and since then I got horribly lazy. Recently the need has arisen for me to update things. I would like to update the server (install newer version of FreeBSD, so on and so forth). I HAVE read the tutorial at freebsd.org, and even read freebsddiary.org. However neither one seems to address the issue I'm running into.

My issue:
The issue is that I can't install cvsup. According to http://www.freebsd.org/doc/en_US.ISO...ook/cvsup.html & http://www.freebsddiary.org/cvsup.php it should be pretty simple to install it. However when I follow the methods provided at either site I get the following:
Attempting to install cvsup-without-gui:
Code:
"/usr/ports/Mk/bsd.port.mk", line 2303: warning: String comparison operator should be either == or !=
"/usr/ports/Mk/bsd.port.mk", line 2303: warning: String comparison operator should be either == or !=
"/usr/ports/Mk/bsd.port.mk", line 2303: Malformed conditional (((${OSVERSION} < 504105 || (${OSVERSION} >= 600000 && ${OSVERSION} < 600103) || (${OSVERSION} >= 700000 && ${OSVERSION} < 700012)) && ${PKGORIGIN} != "ports-mgmt/pkg_install") || exists(${LOCALBASE}/sbin/pkg_info))
"/usr/ports/Mk/bsd.port.mk", line 2304: warning: String comparison operator should be either == or !=
"/usr/ports/Mk/bsd.port.mk", line 2304: warning: String comparison operator should be either == or !=
"/usr/ports/Mk/bsd.port.mk", line 2304: Malformed conditional ((${OSVERSION} < 504105 || (${OSVERSION} >= 600000 && ${OSVERSION} < 600103) || (${OSVERSION} >= 700000 && ${OSVERSION} < 700012)) && ${PKGORIGIN} != "ports-mgmt/pkg_install")
"/usr/ports/Mk/bsd.port.mk", line 6122: if-less endif
"/usr/ports/Mk/bsd.port.mk", line 6122: Need an operator
"/usr/ports/Mk/bsd.port.mk", line 6125: if-less endif
"/usr/ports/Mk/bsd.port.mk", line 6125: Need an operator
make: fatal errors encountered -- cannot continue
I'm betting there's a problem with bsd.port.mk (hrm....ya THINK?!?!?!?!)

I downloaded ports.tar.gz from ftp.freebsd.org and unpacked it. With a brand new bsd.port.mk in /usr/ports/Mk/, the issue is exactly the same (see "code" segment above).

Any suggestions on what I might be doing wrong?
__________________
Jedispy

Rather new to FreeBSD, but willing to learn.
Reply With Quote
 

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Cannot update with CVS guitarscn OpenBSD Installation and Upgrading 3 7th September 2009 11:12 PM
freebsd-update bsdperson FreeBSD Installation and Upgrading 10 16th January 2009 10:14 AM
Update FreeBSD /usr/src tommytom FreeBSD General 10 31st July 2008 02:48 PM
Update from 6.1 to 6.3 did nothing? alanthing FreeBSD Installation and Upgrading 4 8th June 2008 02:28 PM
FreeBSD supported branches update corey_james FreeBSD Security 0 3rd June 2008 03:55 AM


All times are GMT. The time now is 11:29 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick